com.saxonica.bytecode

## Class CalculatorCompiler.DecimalMinusDecimal

- java.lang.Object
- - com.saxonica.bytecode.CalculatorCompiler
  - - com.saxonica.bytecode.CalculatorCompiler.DecimalMinusDecimal

- Enclosing class:
    CalculatorCompiler

      public static class CalculatorCompiler.DecimalMinusDecimal
      extends CalculatorCompiler

  Arithmetic: decimal - decimal (including types that promote to decimal, that is, integer)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.saxonica.bytecode.CalculatorCompiler

      `CalculatorCompiler.AnyDivAny, CalculatorCompiler.AnyIdivAny, CalculatorCompiler.AnyMinusAny, CalculatorCompiler.AnyModAny, CalculatorCompiler.AnyPlusAny, CalculatorCompiler.AnyTimesAny, CalculatorCompiler.DecimalDivDecimal, CalculatorCompiler.DecimalIdivDecimal, CalculatorCompiler.DecimalMinusDecimal, CalculatorCompiler.DecimalModDecimal, CalculatorCompiler.DecimalPlusDecimal, CalculatorCompiler.DecimalTimesDecimal, CalculatorCompiler.DoubleDivDouble, CalculatorCompiler.DoubleMinusDouble, CalculatorCompiler.DoubleModDouble, CalculatorCompiler.DoublePlusDouble, CalculatorCompiler.DoubleTimesDouble, CalculatorCompiler.FloatDivFloat, CalculatorCompiler.FloatIdivFloat, CalculatorCompiler.FloatMinusFloat, CalculatorCompiler.FloatModFloat, CalculatorCompiler.FloatPlusFloat, CalculatorCompiler.FloatTimesFloat, CalculatorCompiler.IntegerDivInteger, CalculatorCompiler.IntegerIdivInteger, CalculatorCompiler.IntegerMinusInteger, CalculatorCompiler.IntegerModInteger, CalculatorCompiler.IntegerPlusInteger, CalculatorCompiler.IntegerTimesInteger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalculatorCompiler.DecimalMinusDecimal()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `compute(Generator ga, SourceLocator locator)`

    - ### Methods inherited from class com.saxonica.bytecode.CalculatorCompiler

      `setCompilerService, setExpressions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CalculatorCompiler.DecimalMinusDecimal

          public CalculatorCompiler.DecimalMinusDecimal()

  - ### Method Detail

    - #### compute

          public void compute(Generator ga,
                     SourceLocator locator)

      Specified by:
        `compute` in class `CalculatorCompiler`

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.